/*
@licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2019 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of version 2 of the GNU General Public License as published by
the Free Software Foundation

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "StdAir", "index.html", [
    [ "StdAir Documentation", "index.html", [
      [ "Getting Started", "index.html#getting_started", null ],
      [ "StdAir on GitHub", "index.html#at_github", null ],
      [ "StdAir Development", "index.html#development", null ],
      [ "External Libraries", "index.html#external_libs", null ],
      [ "Support StdAir", "index.html#social_sponsorship", null ],
      [ "About StdAir", "index.html#about", null ]
    ] ],
    [ "Command-Line Utility to Demonstrate Typical StdAir Usage", "a03073.html", null ],
    [ "BomAbstract", "a03074.html", null ],
    [ "C++ Utility Class Browsing and Dumping the StdAir BOM Tree", "a03075.html", null ],
    [ "KeyAbstract", "a03076.html", null ],
    [ "C++ Class Building Sample StdAir BOM Trees", "a03077.html", null ],
    [ "C++ Class Storing the StdAir Context", "a03078.html", null ],
    [ "People", "a03079.html", [
      [ "Project Admins (and Developers)", "a03079.html#admins", null ],
      [ "Retired Developers", "a03079.html#retired", null ],
      [ "Contributors", "a03079.html#contributors", null ],
      [ "Distribution Maintainers", "a03079.html#distributors", null ]
    ] ],
    [ "Coding Rules", "a03080.html", [
      [ "Default Naming Rules for Variables", "a03080.html#cr_variables", null ],
      [ "Default Naming Rules for Functions", "a03080.html#cr_functions", null ],
      [ "Default Naming Rules for Classes and Structures", "a03080.html#cr_classes", null ],
      [ "Default Naming Rules for Files", "a03080.html#cr_files", null ],
      [ "Default Functionality of Classes", "a03080.html#cr_classes_functionality", null ]
    ] ],
    [ "Copyright and License", "a03081.html", [
      [ "GNU LESSER GENERAL PUBLIC LICENSE", "a03081.html#gnugpl", [
        [ "Version 2.1, February 1999", "a03081.html#version", null ]
      ] ],
      [ "Preamble", "a03081.html#preamble", null ],
      [ "TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION", "a03081.html#terms", [
        [ "NO WARRANTY", "a03081.html#nowarranty", null ],
        [ "END OF TERMS AND CONDITIONS", "a03081.html#endofterms", null ]
      ] ],
      [ "How to Apply These Terms to Your New Programs", "a03081.html#howtoapply", null ]
    ] ],
    [ "Documentation Rules", "a03082.html", [
      [ "General Rules", "a03082.html#doc_general", null ],
      [ "File Header", "a03082.html#doc_header", null ],
      [ "Grouping Various Parts", "a03082.html#doc_groups", null ]
    ] ],
    [ "Main features", "a03083.html", [
      [ "Standard Airline IT Business Object Model (BOM)", "a03083.html#airline_it_bom", null ],
      [ "Architecture of the StdAir library", "a03083.html#architecture", null ]
    ] ],
    [ "Make a Difference", "a03084.html", null ],
    [ "Make a new release", "a03085.html", [
      [ "Introduction", "a03085.html#description", null ],
      [ "Initialisation", "a03085.html#initialisation", null ],
      [ "Branch creation", "a03085.html#branch_creation", null ],
      [ "Commit and publish the release branch", "a03085.html#branch_publish", null ],
      [ "Update the change-log in the trunk as well", "a03085.html#trunk_update", null ],
      [ "Create distribution packages", "a03085.html#create_packages", null ],
      [ "Generation the RPM packages", "a03085.html#generate_rpm_packages", null ],
      [ "Update distributed change log", "a03085.html#update_changelog", null ],
      [ "Create the binary package, including the documentation", "a03085.html#create_bin_packages", null ],
      [ "Files on GitHub", "a03085.html#upload_files", null ],
      [ "Upload the documentation to GitHub", "a03085.html#upload_doc", null ]
    ] ],
    [ "Installation", "a03086.html", [
      [ "Table of Contents", "a03086.html#toc", null ],
      [ "Fedora/RedHat Linux distributions", "a03086.html#rpm_linux", null ],
      [ "StdAir Requirements", "a03086.html#requirements", null ],
      [ "Basic Installation", "a03086.html#basic_instructions", null ],
      [ "Compilers and Options", "a03086.html#compilers", null ],
      [ "Compiling For Multiple Architectures", "a03086.html#compiling_for_multi_arch", null ],
      [ "Installation Names", "a03086.html#installation_names", null ],
      [ "Optional Features", "a03086.html#optional_features", null ],
      [ "Particular systems", "a03086.html#particular_systems", null ],
      [ "Specifying the System Type", "a03086.html#specifying_system_type", null ],
      [ "Sharing Defaults", "a03086.html#sharing_defaults", null ],
      [ "Defining Variables", "a03086.html#defining_variables", null ],
      [ "‘cmake’ Invocation", "a03086.html#cmake_invocation", null ]
    ] ],
    [ "Linking with StdAir", "a03087.html", [
      [ "Introduction", "a03087.html#intro", null ],
      [ "Using the pkg-config command", "a03087.html#pkgconfig", null ],
      [ "Using the stdair-config script", "a03087.html#stdair_config", null ],
      [ "M4 macro for the GNU Autotools", "a03087.html#autotools", null ],
      [ "Using StdAir with dynamic linking", "a03087.html#dynamiclinking", null ]
    ] ],
    [ "Test Rules", "a03088.html", [
      [ "The Test Source Files", "a03088.html#test_source", null ],
      [ "The Reference File", "a03088.html#reference_file", null ],
      [ "Testing StdAir Library", "a03088.html#testing_using_make", null ]
    ] ],
    [ "Users Guide", "a03089.html", [
      [ "Table of Contents", "a03089.html#ug_toc", null ],
      [ "Introduction", "a03089.html#ug_introduction", null ],
      [ "Get Started", "a03089.html#ug_get_started", [
        [ "Get the StdAir library", "a03089.html#ug_get_source", null ],
        [ "Build the StdAir project", "a03089.html#ug_build_binaries", null ],
        [ "Build and Run the Tests", "a03089.html#ug_build_and_run_tests", null ],
        [ "Install the StdAir Project (Binaries, Documentation)", "a03089.html#ug_install_project", null ]
      ] ],
      [ "Exploring the Predefined BOM Tree", "a03089.html#ug_bom_tree", [
        [ "Airline Distribution BOM Tree", "a03089.html#ug_bom_distribution", null ],
        [ "Airline Network BOM Tree", "a03089.html#ug_bom_schedule", null ],
        [ "Airline Inventory BOM Tree", "a03089.html#ug_bom_inventory", [
          [ "Airline Inventory Marketing BOM Tree", "a03089.html#ug_bom_segment_branch", null ],
          [ "Airline Inventory Operating BOM Tree", "a03089.html#ug_bom_leg_branch", null ]
        ] ]
      ] ],
      [ "Extending the BOM Tree", "a03089.html#ug_extending_bom_tree", null ]
    ] ],
    [ "Supported Systems", "a03090.html", [
      [ "StdAir 3.10.x", "a03090.html#stdair_3_10", [
        [ "Linux Systems", "a03090.html#linux", [
          [ "Fedora Core 4 with ATLAS", "a03090.html#fedora_atlas", null ],
          [ "Gentoo Linux with ACML", "a03090.html#gentoo_acml", null ],
          [ "Gentoo Linux with ATLAS", "a03090.html#gentoo_atlas", null ],
          [ "Gentoo Linux with MKL", "a03090.html#gentoo_mkl", null ],
          [ "Gentoo Linux with NetLib's BLAS and LAPACK", "a03090.html#gentoo_netlib", null ],
          [ "Red Hat Enterprise Linux with StdAir External", "a03090.html#rhel", null ],
          [ "SUSE Linux 10.0 with NetLib's BLAS and LAPACK", "a03090.html#suse_netlib", null ],
          [ "SUSE Linux 10.0 with MKL", "a03090.html#suse_mkl", null ]
        ] ],
        [ "Windows Systems", "a03090.html#windows", [
          [ "Microsoft Windows XP with Cygwin", "a03090.html#cygwin", null ],
          [ "Microsoft Windows XP with Cygwin and ATLAS", "a03090.html#cygwin_atlas", null ],
          [ "Microsoft Windows XP with Cygwin and ACML", "a03090.html#cygwin_acml", null ],
          [ "Microsoft Windows XP with MinGW, MSYS and ACML", "a03090.html#mingw_acml", null ],
          [ "Microsoft Windows XP with MinGW, MSYS and StdAir External", "a03090.html#mingw_netlib", null ],
          [ "Microsoft Windows XP with MS Visual C++ and Intel MKL", "a03090.html#msvc_mkl", null ]
        ] ],
        [ "Unix Systems", "a03090.html#unix", [
          [ "SunOS 5.9 with StdAir External", "a03090.html#sunos59", null ]
        ] ]
      ] ]
    ] ],
    [ "StdAir Supported Systems (Previous Releases)", "a03091.html", [
      [ "StdAir 3.9.1", "a03091.html#stdair_3_9_1", null ],
      [ "StdAir 3.9.0", "a03091.html#stdair_3_9_0", null ],
      [ "StdAir 3.8.1", "a03091.html#stdair_3_8_1", null ]
    ] ],
    [ "Tutorials", "a03092.html", [
      [ "Table of Contents", "a03092.html#tut_toc", null ],
      [ "Introduction", "a03092.html#tut_introduction", [
        [ "Preparing the StdAir Project for Development", "a03092.html#tut_intro_configuration", null ]
      ] ],
      [ "Build a Predefined BOM Tree", "a03092.html#tut_build_bom_tree", [
        [ "Instanciate the BOM Root Object", "a03092.html#tut_build_bom_root", null ],
        [ "Instanciate the (Airline) Inventory Object", "a03092.html#tut_build_inventory", null ],
        [ "Link the Inventory Object with the BOM Root", "a03092.html#tut_build_link", null ],
        [ "Build Another Airline Inventory", "a03092.html#tut_build_inventory_another", null ],
        [ "Dump The BOM Tree Content", "a03092.html#tut_dump_bom_tree", null ],
        [ "Result of the Tutorial Program", "a03092.html#tut_result_output", null ]
      ] ],
      [ "Extend the Pre-Defined BOM Tree", "a03092.html#tut_extend_bom_tree", [
        [ "Extend an Airline Inventory Object", "a03092.html#tut_extend_inventory", null ],
        [ "Build the Specific BOM Objects", "a03092.html#tut_extend_build", null ],
        [ "Result of the Tutorial Program", "a03092.html#tut_extend_result_output", null ]
      ] ]
    ] ],
    [ "Specific Implementation of a BOM Root", "a03093.html", null ],
    [ "Specific Implementation of a BOM Root", "a03094.html", null ],
    [ "Specific Implementation of an Airline Inventory", "a03095.html", null ],
    [ "Specific Implementation of an Airline Inventory", "a03096.html", null ],
    [ "Command-Line Test to Demonstrate How To Extend StdAir BOM", "a03097.html", null ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", null ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", "namespacemembers_type" ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", null ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", null ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", null ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", null ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"a00002.html",
"a00023.html#ad174f6f91e8f1eb3d0b5c962a788ed13",
"a00236.html#a2a70fdf4590eabea7d1e3197f9fba794",
"a00524.html",
"a00782_source.html",
"a00917.html#a9279b26c2e715192cc1432fc27d9896f",
"a01912.html#a6dbff9dc08db1d1663c1b411cfed1630a696bb789013f36fc80608f55e383bddb",
"a01976.html#adfa279c6a5e66545a68142399698ff5ca1422082508be0eb4ff968f4315d4812c",
"a02040.html#a5301bf47862bee3ada4733bbbe24ec4f",
"a02092.html#ab3a686ec24a6f515d1d2feee901a22e6",
"a02152.html#a0c5b01260ee38de671f1fcb0d4c664a9",
"a02200.html#a802350b8529a03fb5659fa697593b3e0",
"a02260.html#a0402069b8497aafd4104a8c23b9c7c6a",
"a02292.html#a7850ba6bae30dca81cbbe7eae7c433a8",
"a02400.html#accaf08f464c9982c022e554f77d2c526",
"a03085.html#trunk_update"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';